# Exporter

Package tourplaner.business

## Class Exporter

- java.lang.Object
- - tourplaner.business.Exporter

    public class Exporter
    extends java.lang.Object

Ist für das importieren und Exportieren der Daten zuständig

### Constructor Summary

Constructors
`Exporter​(java.lang.String path)` Erstellt den Exporter mit dem gegebenen Path

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `doExport()` Führt den Export aus: Holt daten, erstellt file
`void` `doImport()` Führt den Imput aus: File holen, Daten in db erstellen

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Exporter

    public Exporter​(java.lang.String path)

Erstellt den Exporter mit dem gegebenen Path

Parameters:
  `path` - Gegebener Path

### Method Detail

#### doExport

    public void doExport()
                  throws java.io.IOException

Führt den Export aus: Holt daten, erstellt file

Throws:
  `java.io.IOException` - Fehler beim File erstellen

#### doImport

    public void doImport()

Führt den Imput aus: File holen, Daten in db erstellen